Bug 1584341 - Incorrect API endpoint GET /api/hosts/:host_id/tracer
Summary: Incorrect API endpoint GET /api/hosts/:host_id/tracer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: katello-tracer
Version: 6.3.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Silvie Chlupova
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-30 17:49 UTC by Nagoor Shaik
Modified: 2019-11-05 23:21 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.rc1.2-0.1.rc1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:05:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23737 Normal Closed Incorrect REST API call GET /api/hosts/:host_id/tracer 2020-08-06 07:50:18 UTC

Description Nagoor Shaik 2018-05-30 17:49:49 UTC
Description of problem:
Incorrect API endpoint GET /api/hosts/:host_id/tracer

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.3.1

How reproducible:
100%

Steps to Reproduce:
Try to retrieve the tracer information of host using API fails 

 # curl -k -s -u admin https://sat63.example.com/api/hosts/<HOST_ID>/tracer | json_reformat

Actual results:

Fails as there is no end point /tracer in the API call, due to a typo in /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.5.64.2/app/controllers/katello/api/v2/host_tracer_controller.rb


Expected results:

API endpoint should exist and should work as expected 

Additional info:

Comment 3 Nagoor Shaik 2018-06-01 05:18:53 UTC
WORKAROUND in Satellite 6.3.1

 # sed -i.bak 's/tracer/traces/' /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.5.64/app/controllers/katello/api/v2/host_tracer_controller.rb
 
 # sed -i.bak 's/servises/services/' /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.5.64/app/controllers/katello/api/v2/host_tracer_controller.rb

 # foreman-rake apipie:cache

Once done, verify the API Doc 

 https://satellite.example.com/apidoc

To retrieve the Traces information for a Host, run below

 # curl -k -s -u admin https://sat63.example.com/api/hosts/<HOST_ID>/traces

Comment 8 Bryan Kearney 2018-10-16 19:05:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.